---
title: XRSessionEvent()
slug: Web/API/XRSessionEvent/XRSessionEvent
tags:
  - API
  - Constructor
  - Mixed
  - Reality
  - Reference
  - Session
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRSessionEvent
  - augmented
  - events
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The WebXR Device API's <code><strong>XRSessionEvent()</strong></code> constructor creates and returns a new {{domxref("XRSessionEvent")}} object.</span> These objects represent events announcing state changes in an {{domxref("XRSession")}} representing an augmented or virtual reality session.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>newXRSessionEvent</em> = new XRSessionEvent(<em>type</em>, <em>eventInitDict</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>A {{domxref("DOMString")}} indicating which of the events represented by objects of type <code>XRSessionEvent</code> this particular object represents. See {{anch("Event types")}} for a list of the permitted values.</dd>
 <dt><code>eventInitDict</code></dt>
 <dd>
 <p>An object conforming to the {{domxref("XRSessionEventInit")}} dictionary which contains values to be applied to the newly-created event object. Permitted values are:</p>

 <p>{{page("/en-US/docs/Web/API/XRSessionEventInit", "Properties")}}</p>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A newly-created {{domxref("XRSessionEvent")}} object representing an object of the specfied type and configured as described by the <code>eventInitDict</code> parameter.</p>

<h2 id="Event_types">Event types</h2>

<p>{{page("/en-US/docs/Web/API/XRSessionEvent", "Session event types")}}</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/XRSessionEvent", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR", "#dom-xrsessionevent-xrsessionevent", "XRSessionEvent() constructor")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRSessionEvent.XRSessionEvent")}}</div>
